Do not rebuild the smartgears container.xml file from ansible if a token was not passed at playbook

execution time

Dec 13, 2016 07:12 PM - Andrea Dell'Amico

Status: Closed Start date: Dec 13, 2016

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development, Pre-Production,

Production

  

Description

@lucio.lelii@isti.cnr.it is asking to not rebuild the container.xml with the old data if a token request is not performed.

To obtain that, container.xml needs to be assembled by the get-scopes script and not by an ansible task.

History

#1 - Dec 13, 2016 07:14 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 100

The get-scopes script now, if it's called by the playbook, asks for the scopes tokens and then builds the container.xml file assembling the three

template parts.

The ansible playbook runs the get-scopes scripts if an admin token was explicitly passed in a variable to the playbook run.

So, any manual changes to the smartgears configuration will only be overwritten if a token has been passed to ansible.

Needs to be tested.

#2 - Dec 14, 2016 06:31 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

The script as been tested successfully on ckan-d-d4s.d4science.org
